# syntax=docker/dockerfile:1
FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build-env
WORKDIR /app

# Copy csproj (folder in this case) and restore as distinct layers
COPY cicddemonstrationNetFrontEnd/*.csproj ./
RUN dotnet restore
 
# Copy everything else and build
# COPY ../engine/examples ./
COPY cicddemonstrationNetFrontEnd/. ./
RUN dotnet publish -c Release -o out

# Build runtime image
FROM mcr.microsoft.com/dotnet/aspnet:5.0
WORKDIR /app
COPY --from=build-env /app/out .

ENTRYPOINT ["dotnet", "cicddemonstrationNetFrontEnd.dll"]

